@import "../../../assets/styles/main.scss";

.howItsWorksDetailSection {
  padding: 171px 0px;
  position: relative;
  &::after {
    content: "";
    position: absolute;
    height: 189px;
    width: 228px;
    left: 0;
    top: -38px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
  }
  .howItsWorksDetailContainer {
    @include container-medium-1;
    .howItsWorkAllSteps {
      .howItsWorkSteps1 {
        // display: grid;
        // grid-template-columns: 640px 869px;
        display: flex;
        justify-content: center;
        position: relative;
        z-index: 9;
        .stepImageDiv {
          width: 640px;
          position: relative;
          @include xl {
            width: 50%;
          }
          .stepMobileImage {
            width: 321px;
            position: absolute;
            top: 50%;
            left: 33%;
            transform: translate(-50%, -50%);
            z-index: 1;
            @include xl {
              width: 280px;
            }
            @include lg {
              width: 245px;
            }
          }
        }
        .steptexteDiv {
          width: 869px;
          position: relative;
          margin-left: -190px;
          @include xl {
            width: 68%;
            margin-left: -167px;
          }
          @include lg {
            margin-left: -137px;
          }
          .stepInnerText {
            position: absolute;
            top: 50%;
            left: 60%;
            transform: translate(-50%, -50%);
            z-index: 1;
            display: flex;
            flex-flow: column;
            
            width: 50%;
            h1 {
              color: #fff;
              font-size: 48px;
              line-height: 175.023%;
              @include inter700;
              text-align: center;
              @include xl {
                font-size: 42px;
              }
              @include xl {
                font-size: 38px;
              }
            }
            h3 {
              color: #fff;
              font-size: 30px;
              line-height: 175.023%;
              @include inter700;
              text-align: center;
              @include xl {
                font-size: 27px;
              }
              @include lg {
                font-size: 24px;
              }
            }

            .googlePlayAppStore {
              .googlePlayAppStore_image {
                padding: 16px 38px;
                border-radius: 16px;
                border: 1px solid #dfdfdf !important;
                background: getColorHex("black");
                box-shadow: 0px 0px 17.6px 0px rgba(156, 156, 156, 0.25);
              }
            }
          }
          .stepInners5Text {
            width: 40%;
            @include xl {
              width: 45%;
            }
          }
          .stepNumberText {
            position: absolute;
            top: 0%;
            left: 40%;
            transform: translateY(-50%);
            z-index: 1;
            border-radius: 70px;
            border: 3px solid getColorHex("orange");
            background: getColorHex("white");
            padding: 10px;
            width: 162px;
            display: flex;
            justify-content: center;
            align-items: center;
            @include lg {
              padding: 5px;
              width: 135px;
            }
            h4 {
              color: getColorHex("orange");
              font-size: 21px;
              line-height: 175.023%;
              @include inter700;
            }
          }
        }
      }

      .howItsWorkSteps2 {
        display: flex;
        justify-content: center;
        position: relative;
        z-index: 9;
        .stepImageDiv {
          width: 640px;
          position: relative;
          margin-left: -190px;
          @include xl {
            width: 50%;
            margin-left: -167px;
          }
          @include lg {
            margin-left: -137px;
          }
          .stepMobileImage {
            width: 321px;
            position: absolute;
            top: 50%;
            right: -16%;
            transform: translate(-50%, -50%);
            z-index: 1;
            @include xl {
              width: 280px;
            }
            @include lg {
              width: 245px;
              right: -20%;
            }
          }
        }
        .steptexteDiv {
          width: 869px;
          position: relative;
          @include xl {
            width: 68%;
          }

          .stepInnerText {
            position: absolute;
            top: 50%;
            left: 40%;
            transform: translate(-50%, -50%);
            z-index: 1;
            display: flex;
            flex-flow: column;
            justify-content: center;
            align-items: center;
            width: 43%;
            margin: auto;
            h1 {
              color: #fff;
              font-size: 48px;
              line-height: 175.023%;
              @include inter700;
              text-align: center;
              @include xl {
                font-size: 42px;
              }
              @include lg {
                font-size: 34px;
              }
            }
            h3 {
              color: #fff;
              font-size: 30px;
              line-height: 175.023%;
              @include inter700;
              text-align: center;
              @include xl {
                font-size: 27px;
              }
              @include lg {
                font-size: 24px;
              }
            }
          }
          .stepInnerTextWidth {
            width: 60%;
          }
          .stepInners6Text {
            width: 45%;
            @include xl {
              width: 50%;
            }
          }

          .stepNumberText {
            position: absolute;
            top: 0%;
            left: 30%;
            transform: translateY(-50%);
            z-index: 1;
            border-radius: 70px;
            border: 3px solid getColorHex("orange");
            background: getColorHex("white");
            padding: 10px;
            width: 162px;
            display: flex;
            justify-content: center;
            align-items: center;
            @include lg {
              padding: 5px;
              width: 135px;
            }
            h4 {
              color: getColorHex("orange");
              font-size: 21px;
              line-height: 175.023%;
              @include inter700;
            }
          }
        }
      }

      .howItsWorkMiddleImage {
        width: 100px;
        height: 102px;
        margin: 80px 0px;
        position: relative;
        left: 39%;
        transform: translateX(-50%);
        @include xl {
          width: 85px;
        }
        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
      }
      .howItsWorkMiddlerightImage {
        width: 100px;
        height: 102px;
        margin: 80px 0px;
        position: relative;
        left: 60%;
        transform: translateX(-50%);
        @include xl {
          width: 85px;
        }
        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
      }
    }
  }
}
